%define	upstream_name	 PatchReader
%define upstream_version 0.9.6

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 7

Summary:	Utilities to read and manipulate patches and CVS 
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://search.cpan.org/CPAN/authors/id/T/TM/TMANNERM/%{upstream_name}-%{upstream_version}.tar.gz



BuildArch:	noarch


Obsoletes:	perl-patchreader
Provides:	perl-patchreader

%description
This perl library allows you to manipulate patches programmatically by chaining
together a variety of objects that read, manipulate, and output patch
information.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
chmod 644 Changes README
find . -type f -exec perl -pi -e 'tr/\r//d' {} \;

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%{makeinstall_std}

%files
%doc Changes README
%{perl_vendorlib}/PatchReader
%{perl_vendorlib}/PatchReader.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.9.6-7.mga6
+ Revision: 1031814
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 0.9.6-6.mga6
+ Revision: 931728
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.9.6-5.mga5
+ Revision: 743485
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.6-4.mga5
+ Revision: 685907
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.9.6-3.mga4
+ Revision: 513982
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.9.6-2.mga3
+ Revision: 371576
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 11 2011 ahmad <ahmad> 0.9.6-1.mga1
+ Revision: 97139
- Update to 0.9.6
- Update the Source url

* Sat Jan 22 2011 jquelin <jquelin> 0.9.5-10.mga1
+ Revision: 31039
- mageia rebuild
- imported package perl-PatchReader


* Sat Feb 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.9.5-10mdv2010.1
+ Revision: 505284
- rebuild using %%perl_convert_version

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.9.5-9mdv2010.0
+ Revision: 430521
- rebuild

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 0.9.5-8mdv2009.0
+ Revision: 241812
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Jul 02 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.5-6mdv2008.0
+ Revision: 47015
- rebuild


* Thu Jun 22 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.5-5mdv2007.0
- %%mkrel

* Tue Jun 07 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.5-4mdk 
- really drop useless empty directories

* Mon Jun 06 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.5-3mdk 
- fix url
- drop useless empty directories

* Mon May 23 2005 Guillaume Rousse <guillomovitch@mandriva.org> 0.9.5-2mdk 
- obsoletes already-existing perl-patchreader (thx titi)
- test in %%check
- fix doc perms
- fix files encoding

* Mon Jan 31 2005 Guillaume Rousse <guillomovitch@mandrake.org> 0.9.5-1mdk 
- first mdk release

